### Function

# GLib Array copy

since: 2.62

#### Declaration

    GArray*
    g_array_copy (
      GArray* array
    )

#### Description

Create a shallow copy of a `GArray`. If the array elements consist of pointers to data, the pointers are copied but the actual data is not.

Available since: 2.62

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GArray`.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `gpointer`

A copy of `array`.

The caller of the function takes ownership of the data container, but not the data inside it.